NodeRings Docs

Get Dashboard Summary

GET
/v1/provider/dashboard/summary
Authorization<token>

Bearer token

In: header

X-Organization-ID<token>

Tenant or organization identifier

In: header

Response Body

application/json

curl -X GET "https://api.nrings.io/v1/provider/dashboard/summary" \  -H "Authorization: Bearer {your_token}" \  -H "X-Organization-ID: {your_org_id}"
{
  "tickets": {
    "openLast7d": 0,
    "escalatedLast7d": 0,
    "slaFirstResponseBreaches": 0,
    "slaResolutionBreaches": 0,
    "totalInWindow": 0,
    "openNeedingProviderFirstResponseLast7d": 0
  },
  "byRegion": [
    {
      "regionId": "string",
      "regionLabel": "string",
      "activeVmCount": 0,
      "activeCustomerCount": 0,
      "nodeCount": 0,
      "ipAddressesFreeTotal": "string",
      "ipAddressesTakenTotal": "string",
      "ipAddressesIpv4FreeTotal": "string",
      "ipAddressesIpv4TakenTotal": "string",
      "ipAddressesIpv6FreeTotal": "string",
      "ipAddressesIpv6TakenTotal": "string"
    }
  ],
  "activeVmTotal": 0,
  "activeCustomerTotal": 0,
  "nodeTotal": 0,
  "planBreakdown": [
    {
      "planId": "string",
      "name": "string",
      "activeSubscriptionCount": 0,
      "code": "string",
      "billingType": "BILLING_TYPE_UNSPECIFIED"
    }
  ],
  "addonBreakdown": [
    {
      "addonId": "string",
      "name": "string",
      "activeSubscriptionCount": 0,
      "code": "string",
      "billingType": "BILLING_TYPE_UNSPECIFIED"
    }
  ]
}